diff scripts/check_db_safety @ 532:c9a7817b5f1d draft

reverting IPv6 changes because too much new complexity and no real benefit
author Nick <nick@somerandomnick.ano>
date Thu, 07 Jul 2011 16:00:12 +0000
parents f37d8fca5548
children 80b445c8c88a
line wrap: on
line diff
--- a/scripts/check_db_safety	Wed Jul 06 19:46:08 2011 +0100
+++ b/scripts/check_db_safety	Thu Jul 07 16:00:12 2011 +0000
@@ -15,6 +15,7 @@
    domain="$(basename $dom).$(basename $tld)"
    echo "There's a bad nameserver under $domain." >&2
    echo "You probably don't want to run any shell scripts." >&2
+   exit 1
   fi
   for ns in $dom/ns/* ; do
    if [ "$(cat $ns | tr -d '0-9.\n' | wc -c | tr -d ' \t')" != 0 ]; then
@@ -23,6 +24,7 @@
     echo "There's a bad nameserver IP under $domain, for" >&2
     echo " $nsname" >&2
     echo "You probably don't want to run any shell scripts." >&2
+    exit 1
    fi
   done
  done
@@ -46,6 +48,7 @@
       ip="$(basename $first).$(basename $second).$(basename $third).0/24"
       echo "There's a bad nameserver under $ip." >&2
       echo "You probably don't want to run any shell scripts." >&2
+      exit 1
      fi
      for ns in $third/ns/* ; do
       if [ "$(cat $ns | tr -d '0-9.\n' | wc -c | tr -d ' \t')" != 0 ]; then
@@ -54,6 +57,7 @@
        echo "There's a bad nameserver IP under $ip, for" >&2
        echo " $nsname" >&2
        echo "You probably don't want to run any shell scripts." >&2
+       exit 1
       fi
      done
     done